import request from '@/utils/request'

export function fetchList(query) {
  return request({
    url: '/gambleMembers',
    method: 'get',
    params: {
      limit: query.limit,
      offset: (query.page - 1) * query.limit,
      name: query.name,
      chipsSort: query.chipsSort,
      updatedSort: query.updatedSort
    }
  })
}

export function updateChips(data) {
  return request({
    url: `/gambleMembers/${data.id}/deposit`,
    method: 'put',
    data: {
      chips: data.depositChips
    }
  })
}

export function createGambleMember(data) {
  return request({
    url: '/gambleMembers',
    method: 'post',
    data: {
      name: data.name,
      chips: data.chips
    }
  })
}

export function fetchGameHistory(data, query) {
  return request({
    url: `/gambleMembers/${data.id}/history`,
    method: 'get',
    params: {
      limit: query.limit,
      offset: (query.page - 1) * query.limit,
      startAt: query.startAt,
      endAt: query.endAt
    }
  })
}

export function fetchChipsHistory(data, query) {
  return request({
    url: `/gambleMembers/${data.id}/chipsLogs`,
    method: 'get',
    params: {
      limit: query.limit,
      offset: (query.page - 1) * query.limit,
      startAt: query.startAt,
      endAt: query.endAt
    }
  })
}

export function fetchPersonGameDetail(gambleMemberId, gambleGameBucketId) {
  return request({
    url: `/gambleMembers/${gambleMemberId}/gambleGameBuckets/${gambleGameBucketId}/detail`,
    method: 'get'
  })
}
